commit:     0dd740c0380643bf9ab049f9f03833b5957285bc
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Nov  9 05:58:23 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Nov 10 20:56:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0dd740c0

app-misc/elasticsearch: bump to 5.6.13

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-misc/elasticsearch/Manifest                    |  1 +
 app-misc/elasticsearch/elasticsearch-5.6.13.ebuild | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 01906eb157b..07e89bf94ef 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,4 +1,5 @@
 DIST elasticsearch-5.6.12.tar.gz 33861038 BLAKE2B 
548513d568ffad6373f15671934cce84217d59b8a036847685ad055681f816d3a75fb6ba2c60c7965402e791d6f5b1a11fe8918bca9f4a60fb8e9d43809da0a2
 SHA512 
bc2436ff34bca652f6a6462920921dce3b085300787e02191c0673d7b3789c0cf81681108573f0ec4dc945e91a2e6ae19898d1b606ca35694bfde6d9cd5762cd
+DIST elasticsearch-5.6.13.tar.gz 33894848 BLAKE2B 
d6b486154c4b4df155e443adee7d07200822f4a14f9cc50753e5b4621630c3b5de7b6b3d3ad7745b898f5a24c02aaddbec05aaf0f5d38fbda8acd78eed433939
 SHA512 
dbda463f0fba0b921ac65ca8743f53cb21410001cb6113aeaa2bfe3e22fbdac9f9010a3bdd2df5b8bc6c7cd59513d9fbac8b408d22d2b885ff5dadbb463b7981
 DIST elasticsearch-6.3.2.tar.gz 91452574 BLAKE2B 
c422990fabad70e6e77e8f59f6fb9e9bf5a84eb7e6b8b67dfd91f53e474b1b501b3a1d5ea8f54f0793631504f194a116e816eb3558782b67c8dadecbc2711ee5
 SHA512 
954cd1e16a5f2e0b0efaeb7e6b19c708d1588d30814a31defb09037c3b90f78c5e9dbd1ca9af9c700d517145a4279bacc1d8ce7cc6894fbe7bf71eec9ed3110d
 DIST elasticsearch-6.4.1.tar.gz 97924081 BLAKE2B 
179433ebe9fca80517057a0379d67545bfd42af741ca64fc2e5b307f9071634d20f297c46d43cfbcfa8dcc45f269c5db32b70656bd4c3035a47aacae861875a2
 SHA512 
a023a6db5554dee6f10718dfa297aa06a735c7857542c2db80fa5c2b86ff4bf405bb8167578c5b60741ad05ed96a64b54bc71d128a0ff955468b0449588b053c
 DIST elasticsearch-oss-6.3.2.tar.gz 29418577 BLAKE2B 
152640dc01a10f44ba43f87f68361cc0dd5e1cf54d0ff92377f3acd1a12a247f002ffe2d003cc53760e891278249c10b1d6d4eb978b0bb1c1ebf8879a2cfcb9a
 SHA512 
3c51a860414f7e55900b1d9a350bdbc3e673c8445e316454c2480315b4b9fc08df58090c6281cecc3ae63d12d78d6bd58e228b3371aa325db799ce18758a21f4

diff --git a/app-misc/elasticsearch/elasticsearch-5.6.13.ebuild 
b/app-misc/elasticsearch/elasticsearch-5.6.13.ebuild
new file mode 100644
index 00000000000..32370ac9f8a
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-5.6.13.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz";
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="virtual/jre:1.8"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       default
+
+       rm -v bin/*.{bat,exe} LICENSE.txt || die
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -rv config || die
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.2" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.2" ${PN}
+
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/elasticsearch into the configuration directory of the 
instance:"
+       elog "/etc/${PN}/instance"
+       elog
+}

Reply via email to